Update payment link
PATCH
/api/payment-links/{linkId}
Request Body
application/json
Update request.
Label.
Delivered content.
Status.
Valid values
"active""disabled"ISO 8601 or null.
Minimum
1Responses
Updated link.
application/json
Wrapped link.
Present (true) when an existing link was returned.
Payment link (public fields).
{
"success": "<boolean>",
"idempotent": "<boolean>",
"paymentLink": {
"linkId": "<string>",
"amount": "<string>",
"currency": "<string>",
"network": "<string>",
"payTo": "<string>",
"assetAddress": "<string>",
"scheme": "<string>",
"description": "<string>",
"resourceContent": "<string>",
"status": "<string>",
"expiresAt": "<string>",
"maxUses": "<integer>",
"useCount": "<integer>",
"paymentMode": "<string>",
"externalId": "<string>",
"metadata": {},
"returnUrl": "<string>",
"url": "<string>",
"checkoutUrl": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}